%define name audacious
%define svn 0
%define pre 0
%if %pre
%define release		%mkrel 1.%pre.4
%define fname %name-%version-%pre
%else
%define fname %name-%version
%define release %mkrel 1
%endif
%define major 		3.0.0
%define libname 	%mklibname %{name} %{major}
%define libname_devel 	%mklibname %{name} %{major} -d
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

Summary:	A versatile and handy media player
Name:		%name
Version:	1.1.2
Release:	%release
Epoch:		3
Source0:	http://audacious-media-player.org/release/%fname.tar.bz2
# Patch to make it check ~/.xmms for skins too
Patch1:		bmp-0.9.7.1-xmms-skins.patch.bz2
# Patch that adds A-B functionality. See README.MDK
Patch2:		audacious-1.1.0-dr2-ab.patch.bz2
Patch3: audacious-862-timidity-config.patch.bz2
License:	GPL
Group:		Sound
Url:		http://audacious-media-player.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	oggvorbis-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libflac-devel >= 1.1.2
#gw crossfade
BuildRequires:	libsamplerate-devel
BuildRequires:	libmodplug-devel
BuildRequires:	ImageMagick
BuildRequires:  liblirc-devel
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires: libmesaglut-devel
BuildRequires:  SDL-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libjack-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  taglib-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libcurl-devel
BuildRequires:  libbinio-devel
BuildRequires:  libfluidsynth-devel
BuildRequires:  desktop-file-utils
BuildRequires:  chrpath
Requires:	%{libname} = %epoch:%{version}
Provides:	beep-media-player beep-media-player-libvisual beep-media-player-lirc audacious-modplug beep-media-player-scrobbler audacious-scrobbler
Obsoletes:	beep-media-player beep-media-player-libvisual beep-media-player-lirc audacious-modplug beep-media-player-scrobbler audacious-scrobbler
Requires(post):  desktop-file-utils
Requires(postun):  desktop-file-utils

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for %{name}
Epoch: %epoch

%description -n %{libname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%package -n %{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Epoch: %epoch

%description -n %{libname_devel}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the files needed for developing applications
which use %{name}.

%package esd
Summary:	ESound output backend
Group:		Sound
BuildRequires:	esound-devel
Requires:	%{name} = %{epoch}:%{version}
Requires:	esound >= 0.2.14
Provides: beep-media-player-esd
Obsoletes: beep-media-player-esd
Epoch: %epoch

%description esd
Output plugin for Audacious media player for use with the esound package

%package musepack
Group: Sound
Summary:  Musepack input plugin for Audacious
Requires: %name = %{epoch}:%version
Epoch: %epoch

%description musepack
This is a Musepack input plugin for Audacious based on libmpcdec.

%package jack
Group: Sound
Summary:Audacious output plugin for the jack sound server
Epoch: %epoch
Requires: %name = %{epoch}:%version
%description jack
Audacious audio output plugin for the jack audio
server(http://jackit.sourceforge.net).

%package adplug
Summary: AdLib player plugin for audacious
Group: Sound
Requires: %name = %{epoch}:%version
Epoch: %epoch

%description adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.


%package fluidsynth
Summary: Fluidsynth MIDI plugin for audacious
Group: Sound
Requires: %name = %{epoch}:%version
Epoch: %epoch

%description fluidsynth
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device.

This is a fluidsynth backend for the Audacious Media Player to support the
playback of MIDI files with the fluidsynth engine.

%package extra-plugins
Summary: Additional input plugins for Audacious
Group: Sound
Requires: %name = %{epoch}:%version
Provides:beep-media-player-mp4
Obsoletes:beep-media-player-mp4
Epoch: %epoch

%description extra-plugins
This contains additional input plugins for Audacious to support the MP4/AAC
and WMA audio formats. This is in PLF as they violate some patents.

%package sid
Group: Sound
Summary: Audacious input plugin for C64 SID files
BuildRequires: sidplay-devel
BuildRequires: sidplay2-devel
Provides: beep-media-player-sid
Obsoletes: beep-media-player-sid
Epoch: %epoch
Requires: %name = %{epoch}:%version

%description sid
Audacious-SID is a plugin for the Audacious Media Player which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, it uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%package timidity
Group: Sound
Summary: MIDI support for Audacious
Requires: %name = %{epoch}:%version
Epoch: %epoch
#gw for the instruments
Requires: TiMidity++

%description timidity
This adds MIDI support to Audacious.

%package arts
Group: Sound
Summary: Arts output plugin for Audacious Media Player
Requires: %name = %{epoch}:%version
BuildRequires: libarts-devel
Provides: beep-media-player-arts
Obsoletes: beep-media-player-arts
Epoch: %epoch

%description arts
This is a Arts output plugin for Audacious Media Player.

%prep
%if %svn
%setup -q -n %name-devel
%else
%setup -q -n %fname
%endif
cd %name
%patch1 -p1 -b .ski
cd ..
%patch2 -p1 -b .ab
%patch3 -p1 -b .timidity
%if %svn
sh ./autogen.sh
%endif
autoconf

%build
%configure2_5x --enable-amidiplug --enable-timidity
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
chrpath -d %buildroot%_bindir/*

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command="soundwrapper %{_bindir}/%name"\
 icon="%name.png" needs="X11" section="Multimedia/Sound"\
 mimetypes="audio/x-mp3;audio/x-ogg;application/x-ogg;audio/x-mpegurl;audio/x-wav;application/x-flac;audio/x-flac" xdg="true" \
 title="Audacious Media Player" longtitle="Multimedia Player"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


cat << EOF > README.MDK
Additional features patched into the Mandriva Linux Audacious package 

The A-B feature
---------------

The A-B feature by Rodrigo Martins de Matos Ventura was found here:
http://lists.xmms.org/pipermail/xmms-devel/2002-January/002282.html
It was rediffed by Oden Eriksson Tue 18 Nov 2003.
Adapted to beep media player 0.9.6 by David Walser Tue, 27 Jan 2004.
Adapted to beep media player 0.9.7cvs by Michael Reinsch Sun, 11 Apr 2004.


Here's Rodrigos explaination what it is about:

"I just did a minor patch to CVS version of xmms, in order to
add a small but very useful (at least to me) feature: A-B
repetition. My old CD player has it, and it is extremely useful,
namely for transcribing music.

The idea is simple: anytime during play, you press the "A" key
(marks A point), the music keeps playing, when you press the "A" key
again (marks B point), it loops endlessly between the two marked
points, until the "S" key is pressed (clear), or a new A point is
marked. Morover, whenever a A-B range is defined, the "play"
button/menu jumps straight to the A position."
EOF
#'

%find_lang %name
mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 32 icons/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 icons/%name.png %buildroot%_miconsdir/%name.png
install icons/%name.png %buildroot%_liconsdir/%name.png
rm -f %buildroot%_includedir/mp4.h
%if !%build_plf
rm -fv %buildroot%_libdir/%name/Input/libaac.so
rm -fv %buildroot%_libdir/%name/Input/libwma.so
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(0755,root,root,0755)
%_bindir/audtool
%{_bindir}/%name
%defattr(0644,root,root,0755)
%doc AUTHORS NEWS README README.MDK
%dir %{_libdir}/%name
%dir %{_libdir}/%name/General
%dir %_libdir/amidi-plug/
%dir %_libdir/amidi-plug/backends/
%_libdir/amidi-plug/backends/ap-alsa.so
%_libdir/amidi-plug/backends/ap-dummy.so
%{_libdir}/%name/General/liblirc.so
%{_libdir}/%name/General/libscrobbler.so
%{_libdir}/%name/General/libsong_change.so
%dir %{_libdir}/%name/Input
%{_libdir}/%name/Input/libamidi-plug.so
%{_libdir}/%name/Input/libcdaudio.so
%{_libdir}/%name/Input/libconsole.so
%{_libdir}/%name/Input/libflac.so
%{_libdir}/%name/Input/libmodplug.so
%{_libdir}/%name/Input/libmpg123.so
%{_libdir}/%name/Input/libtonegen.so
%{_libdir}/%name/Input/libvorbis.so
%{_libdir}/%name/Input/libwav.so
#
%{_libdir}/%name/Input/libsexypsf.so
#
%dir %{_libdir}/%name/Effect/
%{_libdir}/%name/Effect/libaudiocompress.so
%{_libdir}/%name/Effect/libladspa.so
%{_libdir}/%name/Effect/libstereo.so
%{_libdir}/%name/Effect/libvoice_removal.so
%dir %{_libdir}/%name/Output
%{_libdir}/%name/Output/libOSS.so
%{_libdir}/%name/Output/libALSA.so
%{_libdir}/%name/Output/libdisk_writer.so
%dir %{_libdir}/%name/Visualization
%{_libdir}/%name/Visualization/libbscope.so
%{_menudir}/%{name}
%{_datadir}/applications/%name.desktop
%dir %{_datadir}/%name
%dir %{_datadir}/%name/glade
%{_datadir}/%name/glade/*.glade
%dir %{_datadir}/%name/images
%{_datadir}/%name/images/*.png
%dir %{_datadir}/%name/Skins
%dir %{_datadir}/%name/Skins/Default
%{_datadir}/%name/Skins/Default/*
%{_mandir}/man1/*
%_datadir/pixmaps/%name.png
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files -n %{libname}
%defattr(0644,root,root,0755)
%{_libdir}/*.so.3*

%files -n %{libname_devel}
%defattr(0644,root,root,0755)
%dir %{_includedir}/%name
%{_includedir}/%name/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files esd
%defattr(0644,root,root,0755)
%{_libdir}/%name/Output/libESD.so

%files musepack
%defattr(0644,root,root,0755)
%{_libdir}/%name/Input/libmpc.so

%files jack
%defattr(0644,root,root,0755)
%{_libdir}/%name/Output/libjackout.so

%if %build_plf
%files extra-plugins
%defattr(0644,root,root,0755)
%_libdir/%name/Input/libaac.so
%_libdir/%name/Input/libwma.so
%endif

%files sid
%defattr(-,root,root)
%{_libdir}/audacious/Input/libsid.so

%files adplug
%defattr(-,root,root)
%{_libdir}/audacious/Input/libadplug.so

%files timidity
%defattr(-,root,root)
%{_libdir}/%name/Input/libtimidity.so

%files arts
%defattr(-,root,root)
%{_libdir}/%name/Output/libarts.so
%_bindir/audacious-arts-helper

%files fluidsynth
%defattr(0644,root,root,0755)
%_libdir/amidi-plug/backends/ap-fluidsynth.so

%changelog
* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 3:1.1.2-1mdv2007.0
- New release 1.1.2

* Sun Jul 23 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- drop rpaths
- drop patch 4
- fix source URL
- New release 1.1.1

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-3mdv2007.0
- move fluidsynth backend to subpackage

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-2mdv2007.0
- move amidi to the right directory

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-1mdv2007.0
- add new files
- drop old provides
- new major
- new version

* Sun Jul 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-0.dr2.4mdv2007.0
- fix menu entry

* Mon Jul  3 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.3mdv2007.0
- xdg menu

* Mon Jun 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.2mdv2007.0
- fix patch 2

* Mon Jun 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.1mdv2007.0
- update patch 2
- new version

* Tue May 23 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.2mdk
- fix buildrequires

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.1mdk
- fix buildrequires
- new version

* Mon Apr 17 2006 Gtz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- update file list
- drop patch 0
- New release 1.0.0

* Sun Apr 16 2006 Gtz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- patch to fix build
- New release 0.2.4

* Mon Mar 27 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- add arts and voice removal plugins
- rediff patches 2,3
- readd disk writer
- New release 0.2.3

* Mon Mar  6 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- don't obsolete the crossfade plugin anymore

* Mon Mar  6 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- obsolete scrobbler plugin
- drop obsolete plugins
- rediff patch 2
- New release 0.2.2

* Fri Feb  3 2006 Gtz Waschk <waschk@mandriva.org> 0.2-2mdk
- add epochs
- bump deps
- 0.2 final

* Fri Jan 27 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.555.2mdk
- enable new ALSA MIDI plugin

* Fri Jan 27 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.555.1mdk
- update patch 2
- new snapshot

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.518.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.514.1mdk
- new snapshot

* Wed Jan 18 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.492.1mdk
- fix buildrequires
- new snapshot

* Tue Jan 17 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.485.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-0.472.1mdk
- upate file list
- add new plugins
- drop source 1
- new snapshot

* Wed Jan  4 2006 Gtz Waschk <waschk@mandriva.org> 0.1.2-5mdk
- add icon fresh from svn

* Wed Dec 28 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-4mdk
- fix buildrequires

* Tue Dec 27 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-3mdk
- drop patch 4

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- obsolete modplug plugin as well

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- provide and obsolete the crossfade and sid plugins
- New release 0.1.2

* Thu Dec  8 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- add flac to the supported mime types
- fix buildrequires

* Fri Dec  2 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- obsolete bmp

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- buildrequires

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix build on x86_64

* Thu Dec  1 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- initial package

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 0.9.7.1-2mdk
- add crossfade fix

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-1mdk
- new release (at least) (the last one before switching to bmpx)

* Sun Aug 28 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050828cvs1mdk
- New CVS snapshot
- Temporarily drop the ipv6 patch (p3)

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-0.20050815cvs3mdk
- rebuild with new gtk+
- add buildrequires

* Tue Aug 16 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs2mdk
- enhance and rename patch3, now with mp3 support ( with pterjan fix inside )

* Mon Aug 15 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs1mdk
- new cvs snapshot ( Eskild Hustvedt )
- ipv6 for vorbis ( patch 3 )

* Wed Aug 10 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050810cvs1mdk
- New CVS snapshot

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050708cvs1mdk
- New CVS snapshot

* Sun Jun 19 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050619cvs-1mdk
- New CVS snapshot
	- Should fix the playlist refresh bug

* Mon Jun 13 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050613cvs-1mdk
- New CVS snapshot
	- The old skin (non-free skin) has been removed (if you somehow liked that thing
	  you can download it from bmp's website)

* Fri May 27 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050527cvs-1mdk
- Drop SOURCE99 (README.MDK - now generated in spec)
- New CVS snapshot
- Spec cleanups
- Drop COPYING from %%doc, it is in the common-licenses package
- Remove gnome-vfs from requires

* Sat Apr 16 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050416cvs-1mdk
- New CVS snapshot
- Updated patch1
- Drop patch3 (merged upstream)

* Mon Mar 7 2005 Eskild Hustvedt <eskild@mandrake.org> 0.9.7-6mdk
- Disable gnome-vfs support (broken)

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix devel deps

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-4mdk
- patch 3: alsa fixes

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- drop broken patch 3

* Tue Dec 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- rediff patch 2
- new version

* Fri Nov 19 2004 Danny Tholen <obiwan@mailmij.org> 0.9.7-0.rc2.2mdk
- patch 3 fixes broken endian check

* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc2.1mdk
- new version

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc1.1mdk
- increase epoch
- rediff patch 2
- new version

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040708.1mdk
- fix file list
- new snapshot

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040621.1mdk
- new cvs snapshot 20040621

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040604.1mdk
- updated to cvs snapshot 20040604
- fixed source url
- autoconf stuff
- rebuild with new gcc

* Wed May 26 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040528.1mdk
- updated to cvs snapshot 20040528

* Thu May 20 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040520.1mdk
- updated to cvs snapshot 20040520
- removed patch 3, integrated upstream
- xmms-skin patch: use xmms dirs last, so beep skins override xmms skins

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.4mdk
- Patch3: add General plugins preferences tab (will be merged in CVS soon)

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.3mdk
- scan home dir as well for xmms skins (modified patch1)

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.2mdk
- cp rcfile.h in include dir since it isn't automatically installed
- own include and data dirs
- add Epoch in Requires/Provides

* Sun May 05 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040504.1mdk
- new cvs snapshot

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040427.2mdk
- enable gnome-vfs support

* Tue Apr 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-0.20040427.1mdk
- new cvs snapshot
- rediff patch 2

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040410.2mdk
- fix buildrequires

* Sun Apr 11 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040410.1mdk
- new cvs snapshot
- removed old obsoletes (package beepmp was only in cooker)
- added AB patch from xmms
- added missing docs
- separate package for esound plugin (no separate packages for OSS and ALSA
  because OSS does not need any special stuff and ALSA is standard now)

* Mon Mar  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040220.2mdk
- fix buildrequires

* Wed Feb 23 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040220.1mdk
- new cvs snapshot
- fix requires for devel package

* Tue Feb 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040208.1mdk
- ship with freedesktop.org menu entry
- use the configure2_5x macro
- new cvs snapshot

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6.2-0.20040128.2mdk
- fix invalid menu section
- compress patch

* Wed Jan 28 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040128.1mdk
- new cvs snapshot

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.pre5.1mdk
- new release
- rename as binary and tarball name
- rediff patch 1

* Fri Jan 23 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.3mdk
- adapted BuildRequires to require package instead of files
- own %{_libdir}/bmp/General
- new menu structure

* Thu Jan 22 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.2mdk
- patch1: also search for skins in XMMS' skin directory

* Wed Jan 21 2004 Michael Reinsch <mr@uue.org> 0.9.6.2-0.20040121.1mdk
- new cvs snapshot
- let menu generate mime type stuff from menu entry, i.e. add mime types
  to menu entry and remove gnome mime type file
- generate small icons from big one using convert
- further cleanups

* Sun Jan 18 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.9.6.1-2mdk
- Add menu item
- Add gnome mime type
- Put plugins in main package

* Fri Jan  9 2004 Olivier Blin <blino@mandrake.org> 0.9.6.1-1mdk
- fix bad patch in Mandrake's libtool
- Patch0: fix g_build_filename bug (use NULL to finish arguments)
- initial release
